Skip to main content
GET
Where each commodity is metered, with the latest period's consumption and whether it feeds a meter.

Headers

Range
string

Limiting and Pagination

Range-Unit
string
default:items

Limiting and Pagination

Prefer
enum<string>

Preference

Available options:
count=none

Query Parameters

id
string
code
string
name
string
purpose
string
commodity_id
string
commodity_code
string
commodity_name
string
unit_code
string
site_id
string
site_name
string
location_id
string
location_name
string
location_path
string
place_ids
string
asset_id
string
asset_number
string
asset_name
string
meter_id
string
meter_code
string
meter_name
string
is_cumulative
string
rollover_value
string
multiplier
string
base_reading
string
base_consumption
string
weather_basis
string
raises_work_order
string
work_order_type_id
string
work_order_type_code
string
last_reading_at
string
last_register_value
string
is_active
string
feeds_maintenance
string
meter_feeders
string
latest_period_consumption
string
latest_period_start
string
open_anomalies
string
select
string

Filtering Columns

order
string

Ordering

offset
string

Limiting and Pagination

limit
string

Limiting and Pagination

Response

OK

asset_id
string<uuid>

Note: This is a Foreign Key to asset_contracts.asset_id.

asset_name
string<character varying>
Maximum string length: 250
asset_number
string<character varying>
Maximum string length: 80
base_consumption
number<numeric>
base_reading
number<numeric>
code
string<character varying>
Maximum string length: 60
commodity_code
string<character varying>
Maximum string length: 40
commodity_id
string<uuid>

Note: This is a Foreign Key to commodities.id.

commodity_name
string<character varying>
Maximum string length: 120
feeds_maintenance
boolean<boolean>
id
string<uuid>

Note: This is a Primary Key.

is_active
boolean<boolean>
is_cumulative
boolean<boolean>
last_reading_at
string<timestamp with time zone>
last_register_value
number<numeric>
latest_period_consumption
number<numeric>
latest_period_start
string<date>
location_id
string<uuid>

Note: This is a Foreign Key to location_settings.id.

location_name
string<character varying>
Maximum string length: 200
location_path
string<text>
meter_code
string<character varying>
Maximum string length: 60
meter_feeders
integer<bigint>
meter_id
string<uuid>

Note: This is a Foreign Key to asset_meters.meter_id.

meter_name
string<character varying>
Maximum string length: 150
multiplier
number<numeric>
name
string<character varying>
Maximum string length: 150
open_anomalies
integer<bigint>
place_ids
string[]
purpose
string<character varying>
Maximum string length: 20
raises_work_order
boolean<boolean>
rollover_value
number<numeric>
site_id
string<uuid>

Note: This is a Foreign Key to entry_currencies.for_site_id.

site_name
string<character varying>
Maximum string length: 200
unit_code
string<character varying>
Maximum string length: 30
weather_basis
string<character varying>
Maximum string length: 10
work_order_type_code
string<character varying>
Maximum string length: 40
work_order_type_id
string<uuid>

Note: This is a Foreign Key to work_order_types.id.